-module(gmbytecode_SUITE).

%% common_test exports
-export([ all/0 ]).

%% test case exports
-export([ roundtrip_identy/1 ]).

-include_lib("common_test/include/ct.hrl").

all() ->
    [ roundtrip_identy ].

roundtrip_identy(_Cfg) ->
    CodeDir = code:lib_dir(gmbytecode, test),
    FileName = filename:join(CodeDir, "asm_code/identity.gmsm"),
    Code = gmb_asm:file(FileName, []),
    ct:log("Code ~p:~n~s~n", [FileName, gmb_disassemble:format(Code, fun io:format/2)]),
    ok.
